"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BarChart = void 0;
const react_1 = __importStar(require("react"));
const d3Scale = __importStar(require("d3-scale"));
const chart_helper_1 = require("./chart-helper");
const selection_svg_1 = require("./selection-svg");
const metrics_1 = require("./metrics");
const double_axis_grid_1 = require("./double-axis-grid");
const double_axis_x_labels_1 = require("./double-axis-x-labels");
const double_axis_y_labels_1 = require("./double-axis-y-labels");
const bars_1 = require("./bars");
const BarChart = ({ width, height, colors, activeParameters, timestampRange, values, xTickCount, yTickCount, barWidth = metrics_1.DOUBLE_AXIS_CHART_METRICS.DEFAULT_BAR_WIDTH, formatDate, formatValue, xPressDelta, selectedTimestamp, onSelectionChange, onDrag, testID, }) => {
    const groupedValues = (0, react_1.useMemo)(() => chart_helper_1.ChartHelper.groupValues(activeParameters, values), [activeParameters, values]);
    const [xMin, xMax] = timestampRange;
    const xScale = (0, react_1.useMemo)(() => d3Scale
        .scaleTime()
        .domain([xMin, xMax])
        .range([
        metrics_1.DOUBLE_AXIS_CHART_METRICS.HORIZONTAL_PADDING + barWidth,
        width -
            metrics_1.DOUBLE_AXIS_CHART_METRICS.HORIZONTAL_PADDING / 2 -
            barWidth,
    ]), [xMin, xMax, barWidth, width]);
    const xAxisTickTimestamps = (0, react_1.useMemo)(() => chart_helper_1.ChartHelper.getAxisValues(xMin, xMax, xTickCount), [xMin, xMax, xTickCount]);
    const { tickValues: yAxisTickValues, yScale } = (0, react_1.useMemo)(() => chart_helper_1.ChartHelper.getGroupedYScaleAndTicks(groupedValues, height, yTickCount), [groupedValues, height, yTickCount]);
    return (react_1.default.createElement(selection_svg_1.SelectionSvg, { height: height, onDrag: onDrag, onSelectionChange: onSelectionChange, selectedTimestamp: selectedTimestamp, testID: testID, width: width, xPressDelta: xPressDelta, xScale: xScale },
        react_1.default.createElement(double_axis_x_labels_1.DoubleAxisXLabels, { axisTickTimestamps: xAxisTickTimestamps, formatDate: formatDate, height: height, selection: selectedTimestamp !== undefined, xScale: xScale }),
        react_1.default.createElement(double_axis_grid_1.DoubleAxisGrid, { doubleAxis: false, height: height, width: width, yTickCount: yTickCount }),
        yScale && yAxisTickValues && (react_1.default.createElement(react_1.default.Fragment, null,
            react_1.default.createElement(double_axis_y_labels_1.DoubleAxisYLabels, { axisTickValues: yAxisTickValues, formatValue: formatValue, scale: yScale, selection: selectedTimestamp !== undefined, width: width }),
            react_1.default.createElement(bars_1.Bars, { activeParameters: activeParameters, barWidth: barWidth, colors: colors, selectedTimestamp: selectedTimestamp, values: groupedValues, xScale: xScale, yScale: yScale })))));
};
exports.BarChart = BarChart;
