"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DoubleAxisLineChart = void 0;
const react_1 = __importStar(require("react"));
const d3Scale = __importStar(require("d3-scale"));
const chart_helper_1 = require("./chart-helper");
const selection_svg_1 = require("./selection-svg");
const metrics_1 = require("./metrics");
const double_axis_grid_1 = require("./double-axis-grid");
const double_axis_x_labels_1 = require("./double-axis-x-labels");
const double_axis_y_labels_1 = require("./double-axis-y-labels");
const double_axis_lines_1 = require("./double-axis-lines");
const selection_line_1 = require("./selection-line");
const DoubleAxisLineChart = ({ width, height, colors, primaryParameters, secondaryParameters, primaryRange, secondaryRange, timestampRange, values, xTickCount, xSmallTickCount = 0, yTickCount, formatDate, formatValue, xPressDelta, selectedTimestamp, onSelectionChange, onDrag, testID, }) => {
    const primaryValues = (0, react_1.useMemo)(() => Object.fromEntries(primaryParameters
        .map((parameter) => [parameter, values[parameter]])
        .filter(([, paramValues]) => paramValues !== undefined)), [primaryParameters, values]);
    const secondaryValues = (0, react_1.useMemo)(() => Object.fromEntries(secondaryParameters
        .map((parameter) => [parameter, values[parameter]])
        .filter(([, paramValues]) => paramValues !== undefined)), [secondaryParameters, values]);
    const [xMin, xMax] = timestampRange;
    const xScale = (0, react_1.useMemo)(() => d3Scale
        .scaleTime()
        .domain([xMin, xMax])
        .range([
        metrics_1.DOUBLE_AXIS_CHART_METRICS.HORIZONTAL_PADDING,
        width - metrics_1.DOUBLE_AXIS_CHART_METRICS.HORIZONTAL_PADDING,
    ]), [xMin, xMax, width]);
    const xAxisTickTimestamps = (0, react_1.useMemo)(() => chart_helper_1.ChartHelper.getAxisValues(xMin, xMax, xTickCount), [xMin, xMax, xTickCount]);
    const secondaryXTickTimestamps = (0, react_1.useMemo)(() => xSmallTickCount > 0
        ? chart_helper_1.ChartHelper.getAxisValues(xMin, xMax, xTickCount + xSmallTickCount * (xTickCount - 1))
        : undefined, [xSmallTickCount, xMin, xMax, xTickCount]);
    const { tickValues: y1AxisTickValues, yScale: y1Scale } = (0, react_1.useMemo)(() => chart_helper_1.ChartHelper.getYScaleAndTicks(primaryRange, primaryValues, height, yTickCount), [height, primaryRange, primaryValues, yTickCount]);
    const { tickValues: y2AxisTickValues, yScale: y2Scale } = (0, react_1.useMemo)(() => chart_helper_1.ChartHelper.getYScaleAndTicks(secondaryRange, secondaryValues, height, yTickCount), [height, secondaryRange, secondaryValues, yTickCount]);
    return (react_1.default.createElement(selection_svg_1.SelectionSvg, { height: height, onDrag: onDrag, onSelectionChange: onSelectionChange, selectedTimestamp: selectedTimestamp, testID: testID, width: width, xPressDelta: xPressDelta, xScale: xScale },
        react_1.default.createElement(double_axis_x_labels_1.DoubleAxisXLabels, { axisTickTimestamps: xAxisTickTimestamps, formatDate: formatDate, height: height, secondaryXTickTimestamps: secondaryXTickTimestamps, selection: selectedTimestamp !== undefined, xScale: xScale }),
        react_1.default.createElement(double_axis_grid_1.DoubleAxisGrid, { height: height, width: width, yTickCount: yTickCount }),
        y1Scale && y1AxisTickValues && (react_1.default.createElement(react_1.default.Fragment, null,
            react_1.default.createElement(double_axis_y_labels_1.DoubleAxisYLabels, { axisTickValues: y1AxisTickValues, formatValue: formatValue, scale: y1Scale, selection: selectedTimestamp !== undefined, width: width }),
            react_1.default.createElement(double_axis_lines_1.DoubleAxisChartLines, { activeParameters: primaryParameters, colors: colors, values: primaryValues, xScale: xScale, yScale: y1Scale }))),
        y2Scale && y2AxisTickValues && (react_1.default.createElement(react_1.default.Fragment, null,
            react_1.default.createElement(double_axis_y_labels_1.DoubleAxisYLabels, { axisTickValues: y2AxisTickValues, formatValue: formatValue, scale: y2Scale, secondary: true, selection: selectedTimestamp !== undefined, width: width }),
            react_1.default.createElement(double_axis_lines_1.DoubleAxisChartLines, { activeParameters: secondaryParameters, colors: colors, values: secondaryValues, xScale: xScale, yScale: y2Scale }))),
        selectedTimestamp && (react_1.default.createElement(selection_line_1.SelectionLine, { colors: colors, height: height, primaryValues: primaryValues, secondaryValues: secondaryValues, selectedTimestamp: selectedTimestamp, xScale: xScale, y1Scale: y1Scale, y2Scale: y2Scale }))));
};
exports.DoubleAxisLineChart = DoubleAxisLineChart;
