"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BarSection = void 0;
const ui_1 = require("@cs-bosch-medusa/ui");
const react_1 = __importStar(require("react"));
const react_native_1 = require("react-native");
const horizontal_stacked_bar_metrics_1 = require("./horizontal-stacked-bar-metrics");
const styles = react_native_1.StyleSheet.create({
    container: {
        alignItems: "center",
        justifyContent: "center",
    },
    text: {
        fontSize: ui_1.FontSize.SMALL,
    },
});
const BarSection = ({ flex, backgroundColor, focused, label, icon: Icon, marginLeft, textColor, clipWidth, }) => {
    const [viewWidth, setViewWidth] = (0, react_1.useState)(0);
    const onViewLayout = (0, react_1.useCallback)((event) => {
        setViewWidth(event.nativeEvent.layout.width);
    }, []);
    const height = focused ? horizontal_stacked_bar_metrics_1.FOCUSED_BAR_HEIGHT : horizontal_stacked_bar_metrics_1.BAR_HEIGHT;
    const showLabel = viewWidth >= clipWidth;
    return (react_1.default.createElement(react_native_1.View, { onLayout: onViewLayout, style: [
            styles.container,
            { backgroundColor, flex, height, marginLeft },
        ] }, showLabel &&
        (label ? (react_1.default.createElement(ui_1.Label, { ellipsis: true, style: [
                styles.text,
                // Medium font is used here, since regular would be too light and bold too strong.
                { color: textColor, fontFamily: ui_1.FontFaces.MEDIUM },
            ] }, label)) : (Icon && (react_1.default.createElement(Icon, { extraThickness: horizontal_stacked_bar_metrics_1.ICON_THICKNESS, fillColor: textColor, iconSize: ui_1.IconSize.XXSMALL }))))));
};
exports.BarSection = BarSection;
