import { Colors, TestProps } from "@cs-bosch-medusa/ui";
import { FC } from "react";
type HorizontalTimeLineSvgProps = TestProps & {
    /** Width of the chart. */
    width: number;
    /** Height of the chart. */
    height: number;
    /**
     * The time range inside which the values belong.
     * Format is [startTime, endTime].
     */
    timestampRange: [number, number];
    /** The number of ticks to show below the X axis. */
    tickCount: number;
    /** The number of the small ticks to be displayed between ticks on the X axis. */
    smallTickCount: number;
    /**
     * Formatting function of the value to be displayed on the X axis.
     *
     * @param value the value of the tick on the X axis
     */
    formatLabel(value: number): string;
    /**
     * The frequency of the labels to show below the ticks.
     * It cannot be 0 or less.
     *
     * Default value is 2.
     */
    labelFrequency?: number;
    /**
     * Current timestamp to show the current time indicator.
     *
     * If this property is not given then the indicator is not shown.
     */
    currentTimestamp?: number;
    /**
     * Color of the current time indicator.
     *
     * Default color is the axis color.
     */
    indicatorColor?: Colors;
};
/**
 * Horizontal timeline SVG.
 */
export declare const HorizontalTimeLineSvg: FC<HorizontalTimeLineSvgProps>;
export {};
//# sourceMappingURL=horizontal-time-line-svg.d.ts.map