"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RealTimeLineChartClipPath = void 0;
const react_1 = __importDefault(require("react"));
const react_native_svg_1 = require("react-native-svg");
const theme_1 = require("../../theme");
const real_time_line_chart_metrics_1 = require("./real-time-line-chart-metrics");
const CLIP_PATH_ID = "clip";
const CLIP_PATH_URL = `url(#${CLIP_PATH_ID})`;
/**
 * Line chart wrapper component, which specifies a rectangle
 * region inside of the axes where the chart is drawn.
 *
 * Outside of this region the elements are not visible.
 */
const RealTimeLineChartClipPath = ({ xScale, yScale, width, height, xMin, yMax, children, }) => {
    const { chartTheme } = (0, theme_1.useChartTheme)();
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(react_native_svg_1.Defs, null,
            react_1.default.createElement(react_native_svg_1.ClipPath, { id: CLIP_PATH_ID },
                react_1.default.createElement(react_native_svg_1.Rect, { height: height - real_time_line_chart_metrics_1.REAL_TIME_LINE_CHART_METRICS.BOTTOM_PADDING, width: width - real_time_line_chart_metrics_1.REAL_TIME_LINE_CHART_METRICS.RIGHT_PADDING, x: xScale(xMin - 1), y: yScale(yMax + 1) }))),
        react_1.default.createElement(react_native_svg_1.G, { clipPath: CLIP_PATH_URL, strokeWidth: chartTheme.realTimeLineChart.lineWidth }, children)));
};
exports.RealTimeLineChartClipPath = RealTimeLineChartClipPath;
