import { FC } from "react";
import * as d3Scale from "d3-scale";
import { Colors } from "@cs-bosch-medusa/ui";
import { RealTimeLineChartValues } from "./real-time-line-chart-props";
export type RealTimeLineChartPointsProps = {
    /** Scale of the x values. */
    xScale: d3Scale.ScaleTime<number, number>;
    /** Scale of the y values. */
    yScale: d3Scale.ScaleLinear<number, number>;
    /** List of parameter ids which will be drawn on the svg. */
    activeParameters: string[];
    /** Values of the parameters. The keys has to be match with the parameter ids. */
    values: RealTimeLineChartValues;
    /** Color object of the parameters. The keys has to be match with the parameter ids. */
    colors: {
        [key: string]: Colors;
    };
};
export declare const RealTimeLineChartPoints: FC<RealTimeLineChartPointsProps>;
//# sourceMappingURL=real-time-line-chart-points.d.ts.map