"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CalendarListItem = exports.LIST_ITEM_HEIGHT = void 0;
const react_1 = __importStar(require("react"));
const ui_1 = require("@cs-bosch-medusa/ui");
const react_native_1 = require("react-native");
exports.LIST_ITEM_HEIGHT = ui_1.IconSize.SMALL + 2 * ui_1.METRICS.SCREEN.basePadding;
const styles = react_native_1.StyleSheet.create({
    item: {
        height: exports.LIST_ITEM_HEIGHT,
        justifyContent: "center",
        paddingHorizontal: ui_1.METRICS.SCREEN.basePadding,
    },
});
exports.CalendarListItem = (0, react_1.memo)(({ date, resolution, formatLabel, selected, onPress, testID }) => {
    const { theme } = (0, ui_1.useTheme)();
    const onItemPress = (0, react_1.useCallback)(() => onPress(date), [date, onPress]);
    const getStyle = (0, react_1.useCallback)(({ pressed }) => [
        styles.item,
        {
            backgroundColor: getListBackgroundColor(selected, pressed, theme),
        },
    ], [selected, theme]);
    return (react_1.default.createElement(react_native_1.Pressable, { onPress: onItemPress, style: getStyle, ...(0, ui_1.getTestIdProps)(testID) },
        react_1.default.createElement(ui_1.Label, { style: {
                color: selected
                    ? theme.secondaryTextColor
                    : theme.textColor,
            } }, formatLabel(date.toDate(), resolution, selected))));
}, arePropsEqual);
function getListBackgroundColor(selected, pressed, theme) {
    if (selected) {
        return pressed ? theme.pressedColor : theme.primaryColor;
    }
    else {
        return pressed ? theme.secondaryPressedColor : theme.backgroundColor;
    }
}
// NOTE: Check needed for moment's equality
function arePropsEqual(prevProps, nextProps) {
    return (prevProps.selected === nextProps.selected &&
        prevProps.resolution === nextProps.resolution &&
        prevProps.formatLabel === nextProps.formatLabel &&
        prevProps.date.isSame(nextProps.date) &&
        prevProps.onPress === nextProps.onPress);
}
