"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.setupCalendarLocales = void 0;
const react_native_calendars_1 = require("react-native-calendars");
const moment = __importStar(require("moment"));
const import_moment_locale_1 = require("./import-moment-locale");
/**
 * Sets up the locale used for Resolution Picker components.
 *
 * @param locale the locale that determines the labels to show as well as the start of the week.
 * @param loadLocaleInfo whether to load locale information. Defaults to `true`. Only disable this
 * if your project uses `moment` and you make sure to load the necessary locale yourself.
 */
function setupCalendarLocales(locale, loadLocaleInfo = true) {
    moment.locale(locale);
    if (loadLocaleInfo) {
        (0, import_moment_locale_1.importMomentLocale)(locale);
    }
    react_native_calendars_1.LocaleConfig.locales[locale] = {
        monthNames: moment.months(),
        monthNamesShort: moment.monthsShort(),
        dayNames: moment.weekdays(),
        dayNamesShort: moment.weekdaysShort(),
    };
    react_native_calendars_1.LocaleConfig.defaultLocale = locale;
}
exports.setupCalendarLocales = setupCalendarLocales;
