import { StyleProp, ViewStyle } from "react-native";
import { Colors } from "../../theme";
import { TestProps } from "../../util";
export type CheckboxProps = TestProps & {
    /** If `true` then all interactions are disabled for this component. */
    disabled?: boolean;
    /** The label to display next to the checkbox, on its right side. */
    label?: string;
    /** The value of the checkbox. */
    value: boolean;
    /**
     * Callback that is called when the checkbox is checked or unchecked.
     * Receives a boolean as argument indicating the checked state.
     */
    onValueChange(value: boolean): void;
    /** Additional styles to apply to checkbox wrapper. */
    style?: StyleProp<ViewStyle>;
};
export type ColoredCheckboxProps = CheckboxProps & {
    /** The color of the checkbox when it is selected. */
    color: Colors;
};
//# sourceMappingURL=checkbox-props.d.ts.map