import { FC } from "react";
import { StyleProp, ViewStyle, ScrollViewProps as RNScrollViewProps } from "react-native";
type ExcludePropsList = "style" | "contentContainerStyle";
type ExportedScrollViewProps = Omit<RNScrollViewProps, ExcludePropsList>;
export type ScrollScreenProps = ExportedScrollViewProps & {
    /** Styles to pass to the scrollView's content container. */
    style?: StyleProp<ViewStyle>;
};
/**
 * Like Screen, applies theme background and base padding, but also makes contents scrollable.
 * You should use this or Screen as the root component of each screen in your app.
 *
 * @see Screen
 */
export declare const ScrollScreen: FC<ScrollScreenProps>;
export {};
//# sourceMappingURL=scroll-screen.d.ts.map