"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DropdownItem = void 0;
const react_1 = __importStar(require("react"));
const react_native_1 = require("react-native");
const text_1 = require("../text");
const theme_1 = require("../../theme");
const util_1 = require("../../util");
const styles = react_native_1.StyleSheet.create({
    dropdownItem: {
        alignItems: "center",
        alignSelf: "baseline",
        flexDirection: "row",
        padding: theme_1.METRICS.SCREEN.basePadding,
    },
    flex: {
        flex: 1,
    },
});
/**
 * Component to be used inside CustomDropdown to list the available options.
 */
const DropdownItem = (props) => {
    const { value, label, disabled = false, currentValue, onPress, children, selectedColor, testID, } = props;
    const { theme } = (0, theme_1.useTheme)();
    const selected = currentValue === value;
    const onItemPress = (0, react_1.useCallback)(() => onPress(value), [value, onPress]);
    return (react_1.default.createElement(react_native_1.Pressable, { disabled: disabled, onPress: onItemPress, ...(0, util_1.getTestIdProps)(testID) }, ({ pressed }) => {
        const { fillColor, lineColor } = geItemColors(theme, {
            pressed,
            disabled,
            selected,
        }, selectedColor);
        const rowStyle = react_native_1.StyleSheet.flatten([
            styles.dropdownItem,
            { backgroundColor: fillColor },
        ]);
        return (react_1.default.createElement(react_native_1.View, { style: rowStyle },
            !children && label && (react_1.default.createElement(text_1.Label, { style: [{ color: lineColor }, styles.flex] }, label)),
            children && (react_1.default.createElement(react_native_1.View, { style: styles.flex }, children))));
    }));
};
exports.DropdownItem = DropdownItem;
const geItemColors = (theme, { pressed, disabled, selected }, selectedColor) => {
    if (disabled) {
        return {
            fillColor: theme.disabledColor,
            lineColor: theme.disabledTextColor,
        };
    }
    if (pressed) {
        return {
            fillColor: theme.dropdown.optionPressedBackgroundColor,
            lineColor: theme.textColor,
        };
    }
    if (selected) {
        return (selectedColor !== null && selectedColor !== void 0 ? selectedColor : {
            fillColor: theme.dropdown.optionSelectedBackgroundColor,
            lineColor: theme.secondaryTextColor,
        });
    }
    return {
        fillColor: theme.dropdown.optionBackgroundColor,
        lineColor: theme.textColor,
    };
};
