"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FadeInImage = void 0;
const react_1 = __importStar(require("react"));
const react_native_1 = require("react-native");
const theme_1 = require("../../theme");
const util_1 = require("../../util");
const FadeInImage = ({ onLoad, style, testID, ...restProps }) => {
    const opacity = (0, react_1.useRef)(new react_native_1.Animated.Value(0));
    const onImageLoad = (0, react_1.useCallback)((event) => {
        onLoad === null || onLoad === void 0 ? void 0 : onLoad(event);
        react_native_1.Animated.timing(opacity.current, {
            toValue: 1,
            duration: theme_1.ANIMATION_DURATION.FADE,
            useNativeDriver: true,
        }).start();
    }, [onLoad]);
    return (react_1.default.createElement(react_native_1.Animated.Image, { onLoad: onImageLoad, style: [style, { opacity: opacity.current }], ...restProps, ...(0, util_1.getTestIdProps)(testID) }));
};
exports.FadeInImage = FadeInImage;
