import { FC, ReactNode } from "react";
import { IconSize } from "../icons";
import { TestProps } from "../../util";
export type InfoPopoverProps = TestProps & {
    /** Title to show for popover. */
    title: string;
    /** Icon size of the shown InfoIcon. */
    iconSize?: IconSize;
    /**
     * Icon size in pixels for the info icon. Overrides `iconSize`.
     *
     * _Use only in very specific cases! Mostly `iconSize` should be enough._
     */
    iconSizeInPixels?: number;
    /**
     * Components to display.
     */
    children?: ReactNode;
};
/**
 * Info icon that when clicked, shows a popover information modal
 * that renders the children passed to this component.
 */
export declare const InfoPopover: FC<InfoPopoverProps>;
//# sourceMappingURL=info-popover.d.ts.map