"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useTextFieldFocus = void 0;
const react_1 = require("react");
const useTextFieldFocus = (onFocus, onBlur) => {
    const [focused, setFocused] = (0, react_1.useState)(false);
    const onTextFieldFocus = (0, react_1.useCallback)(() => {
        setFocused(true);
        onFocus === null || onFocus === void 0 ? void 0 : onFocus();
    }, [onFocus]);
    const onTextFieldBlur = (0, react_1.useCallback)(() => {
        setFocused(false);
        onBlur === null || onBlur === void 0 ? void 0 : onBlur();
    }, [onBlur]);
    return {
        focused,
        onTextFieldFocus,
        onTextFieldBlur,
    };
};
exports.useTextFieldFocus = useTextFieldFocus;
