import { ForwardedRef } from "react";
export type TextFieldRef = {
    /** Requests focus for the given input. */
    focus(): void;
    /** Removes focus from the input. This is the opposite of `focus()`. */
    blur(): void;
    /** Returns if the input is currently focused. */
    isFocused(): boolean;
};
/**
 * Forwards the text field ref while also making it available inside the component.
 */
export declare function useTextFieldRef<T extends TextFieldRef = TextFieldRef>(ref: ForwardedRef<TextFieldRef>): import("react").RefObject<T>;
//# sourceMappingURL=text-field-ref.d.ts.map