import { FC } from "react";
import { ListItemProps } from "./list-item-props";
/**
 * The items that make up a list. All content-related properties are optional,
 * so it's up to you to make sure that you don't create an empty list item.
 *
 * Through the `leftComponent` and `rightComponent` properties you can pass
 * any JSX element to customize the look and functionality of the item,
 * such as icons, switches, checkboxes, or any other elements for custom
 * behavior.
 *
 * If an `onPress` callback is provided, the list item becomes touchable.
 */
export declare const ListItem: FC<ListItemProps>;
//# sourceMappingURL=list-item.d.ts.map