import { FC, ReactNode } from "react";
import { ViewStyle, StyleProp } from "react-native";
import { TestProps } from "../../util";
export type ListProps = TestProps & {
    /**
     * If `true`, list items will span the entire width of the screen. Default is `true`.
     *
     * Keep in mind that this is done with negative margins,
     * so nesting the list inside custom padded containers might break this.
     */
    fullWidth?: boolean;
    /** Custom styling to be applied to the list. */
    style?: StyleProp<ViewStyle>;
    /**
     * Components to display.
     */
    children?: ReactNode;
};
/**
 * A container component that can contain ListItems and ListSections.
 *
 * @see ListItem
 * @see ListSection
 */
export declare const List: FC<ListProps>;
//# sourceMappingURL=list.d.ts.map