"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.LoadingIndicator = void 0;
const react_1 = __importDefault(require("react"));
const theme_1 = require("../../theme");
const colored_loading_indicator_1 = require("./colored-loading-indicator");
const white_loading_indicator_1 = require("./white-loading-indicator");
const LoadingIndicator = ({ testID }) => {
    const { theme } = (0, theme_1.useTheme)();
    return theme.coloredLoadingIndicator ? (react_1.default.createElement(colored_loading_indicator_1.ColoredLoadingIndicator, { testID: testID })) : (react_1.default.createElement(white_loading_indicator_1.WhiteLoadingIndicator, { testID: testID }));
};
exports.LoadingIndicator = LoadingIndicator;
