"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Modal = void 0;
/* eslint-disable react/jsx-props-no-spreading */
const react_1 = __importDefault(require("react"));
const react_native_1 = require("react-native");
const ios_modal_1 = require("./ios-modal");
const android_modal_1 = require("./android-modal");
/**
 * Modal component that looks like a native pop-up.
 * It can render its children.
 */
const Modal = (props) => {
    return react_native_1.Platform.OS === "ios" ? (react_1.default.createElement(ios_modal_1.IosModal, { ...props })) : (react_1.default.createElement(android_modal_1.AndroidModal, { ...props }));
};
exports.Modal = Modal;
