import React, { FC } from "react";
import { IconProps } from "../icons";
import { TestProps } from "../../util";
export declare enum NotificationVariant {
    INFO = "INFO",
    SUCCESS = "SUCCESS",
    WARNING = "WARNING",
    ERROR = "ERROR"
}
export type NotificationProps = TestProps & {
    /** Message to display in the Notification. */
    message: string;
    /**
     * Notification variant that defines the color scheme and icon
     * to be shown based on the active theme.
     */
    variant: NotificationVariant;
    /**
     * Whether to show the dismiss button or not. Defaults to true.
     */
    showDismissButton?: boolean;
    /**
     * A medusa-compatible icon component to render to the left of the message. Overrides icon coming from `variant`.
     * The color of the icon comes from the `variant`.
     */
    icon?: React.ComponentType<IconProps>;
    /**
     * Callback to invoke when close icon is pressed.
     */
    onDismiss?(): void;
};
export declare const Notification: FC<NotificationProps>;
//# sourceMappingURL=notification.d.ts.map