"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.VerticalSeparator = void 0;
const react_1 = __importDefault(require("react"));
const react_native_1 = require("react-native");
const theme_1 = require("../../theme");
const styles = react_native_1.StyleSheet.create({
    separator: {
        height: "100%",
    },
});
/**
 * Simple vertical separator. Default width and color are theme-dependent and it can be overwritten by the style.
 */
const VerticalSeparator = ({ style }) => {
    const { theme } = (0, theme_1.useTheme)();
    return (react_1.default.createElement(react_native_1.View, { style: [
            styles.separator,
            {
                width: theme.separatorSize,
                backgroundColor: theme.separatorColor,
            },
            style,
        ] }));
};
exports.VerticalSeparator = VerticalSeparator;
