"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.NativeSwitch = void 0;
const react_1 = __importDefault(require("react"));
const react_native_1 = require("react-native");
const theme_1 = require("../../theme");
const util_1 = require("../../util");
const styles = react_native_1.StyleSheet.create({
    switch: {
        borderWidth: 1,
    },
});
const NativeSwitch = ({ value, onValueChange, disabled, style, testID, }) => {
    const { theme } = (0, theme_1.useTheme)();
    const osSpecificStyle = react_native_1.Platform.select({
        ios: theme.nativeSwitch.ios,
        android: theme.nativeSwitch.android,
        default: theme.nativeSwitch.ios,
    });
    const { thumbColor, borderColor, trackColor: trackOnColor, } = !disabled ? theme.nativeSwitch.enabledOn : osSpecificStyle.disabled;
    const { trackColor: trackOffColor } = !disabled
        ? osSpecificStyle.enabledOff
        : osSpecificStyle.disabled;
    return (react_1.default.createElement(react_native_1.Switch, { disabled: disabled, ios_backgroundColor: trackOffColor, onValueChange: onValueChange, style: [{ borderColor }, styles.switch, style], thumbColor: thumbColor, trackColor: {
            true: trackOnColor,
            false: trackOffColor,
        }, value: value, ...(0, util_1.getTestIdProps)(testID) }));
};
exports.NativeSwitch = NativeSwitch;
