import { StyleProp, ViewStyle } from "react-native";
import { TestProps } from "../../util";
export type SwitchProps = {
    /** The value of the switch. If `true`, the switch will be turned on. */
    value: boolean;
    /** Callback that is called when switch is toggled. */
    onValueChange: (value: boolean) => void;
    /**
     * Disable interactions for the component.
     *
     * Defaults to `false`.
     */
    disabled?: boolean;
    /** Additional styles for the component. */
    style?: StyleProp<ViewStyle>;
} & TestProps;
//# sourceMappingURL=switch-props.d.ts.map