"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Link = void 0;
const react_1 = __importStar(require("react"));
const react_native_1 = require("react-native");
const theme_1 = require("../../theme");
const util_1 = require("../../util");
const styles = react_native_1.StyleSheet.create({
    link: {
        fontSize: theme_1.FontSize.MEDIUM,
        textDecorationLine: "underline",
    },
});
const Link = ({ ellipsis = false, style, onPress, disabled, children, testID, }) => {
    const { theme } = (0, theme_1.useTheme)();
    const [pressed, setPressed] = (0, react_1.useState)(false);
    let textColor = theme.primaryColor;
    if (disabled) {
        textColor = theme.disabledColor;
    }
    else if (pressed) {
        textColor = theme.pressedColor;
    }
    const textStyle = react_native_1.StyleSheet.flatten([
        {
            color: textColor,
            fontFamily: theme.regularFont,
        },
        styles.link,
        style,
    ]);
    const onPressIn = (0, react_1.useCallback)(() => setPressed(true), []);
    const onPressOut = (0, react_1.useCallback)(() => setPressed(false), []);
    return (react_1.default.createElement(react_native_1.TouchableWithoutFeedback, { disabled: disabled, 
        // Note: disable doesn't work with text component
        onPress: !disabled ? onPress : undefined, onPressIn: onPressIn, onPressOut: onPressOut, ...(0, util_1.getTestIdProps)(testID) },
        react_1.default.createElement(react_native_1.Text, { allowFontScaling: theme.allowFontScaling, numberOfLines: ellipsis ? 1 : undefined, style: textStyle, suppressHighlighting: true }, children)));
};
exports.Link = Link;
