import { FC } from "react";
import { CommonValidationProps } from "../input-fields/text-field-validation-info";
import { TestProps } from "../../util";
export type NumberSelectProps = Omit<CommonValidationProps, "disabled"> & {
    /** Current value of the number field. */
    value: number;
    /** Callback that is called when the numeric value changes. */
    onChange(newValue: number): void;
    /** The minimum allowed value. If undefined, no checking will be performed. */
    min?: number;
    /** The maximum allowed value. If undefined, no checking will be performed. */
    max?: number;
    /**
     * Informative text displayed directly under the number field.
     * Show the allowed range for the number through this
     * property.
     */
    rangeInfo?: string;
    /** Label to display above the text field. */
    label?: string;
    /**
     * The number of decimal digits allowed after the separator.
     * Exceeding digits will be truncated.
     */
    precision?: number;
    /**
     * It will increment or decrement the value by pressing on the icons within the
     * text field by the amount specified.
     */
    step?: number;
    /**
     * Locale based decimal separator which will be displayed within the input field
     * in case of a decimal.
     */
    decimalSeparator?: "." | ",";
    /** Informative component to be displayed under the number field. */
    infoComp?: JSX.Element;
} & TestProps;
export declare const NumberSelect: FC<NumberSelectProps>;
//# sourceMappingURL=number-select.d.ts.map