"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SpecialNumberSelect = void 0;
const react_1 = __importStar(require("react"));
const react_native_1 = require("react-native");
const input_fields_1 = require("../input-fields");
const text_1 = require("../text");
const info_container_1 = require("./info-container");
const radio_button_1 = require("../radio-button");
const select_styles_1 = require("./select-styles");
const theme_1 = require("../../theme");
const util_1 = require("../../util");
const styles = react_native_1.StyleSheet.create({
    container: {
        paddingBottom: theme_1.METRICS.CONTAINER.basePadding,
    },
    horizontalPadding: {
        paddingHorizontal: theme_1.METRICS.SCREEN.basePadding,
    },
});
const CUSTOM_VALUE = "CUSTOM_VALUE";
const isSpecialValue = (value, specialValues) => specialValues.some((element) => element.value === value);
const SpecialNumberSelect = ({ value, onChange, min, max, rangeInfo, label, step, precision, infoComp, specialValues, customValueLabel, validationResult, validationMessage, decimalSeparator, testID, }) => {
    const [radioButtonValue, setRadioButtonValue] = (0, react_1.useState)(() => {
        return isSpecialValue(value, specialValues) ? value : CUSTOM_VALUE;
    });
    const [numberInputValue, setNumberInputValue] = (0, react_1.useState)(() => {
        return isSpecialValue(value, specialValues) ? min !== null && min !== void 0 ? min : 0 : value;
    });
    const onChangeRadioButton = (0, react_1.useCallback)((radioButtonValue) => {
        setRadioButtonValue(radioButtonValue);
        if (radioButtonValue !== CUSTOM_VALUE) {
            onChange(radioButtonValue, true);
        }
        else {
            onChange(numberInputValue, false);
        }
    }, [numberInputValue, onChange]);
    const onChangeNumberInput = (0, react_1.useCallback)((numberInputValue) => {
        setNumberInputValue(numberInputValue);
        if (radioButtonValue === CUSTOM_VALUE) {
            onChange(numberInputValue, false);
        }
    }, [onChange, radioButtonValue]);
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(react_native_1.View, { style: styles.container, ...(0, util_1.getTestIdProps)(testID) },
            react_1.default.createElement(radio_button_1.RadioButtonContainer, { onChange: onChangeRadioButton, value: radioButtonValue },
                specialValues.map((element, index) => (react_1.default.createElement(radio_button_1.RadioButton, { key: `${element.value}`, label: element.label, separator: true, style: styles.horizontalPadding, testID: `${testID}.${index}`, value: element.value }))),
                react_1.default.createElement(radio_button_1.RadioButton, { label: customValueLabel, style: styles.horizontalPadding, testID: `${testID}.numberRadio`, value: CUSTOM_VALUE })),
            react_1.default.createElement(react_native_1.View, { style: styles.horizontalPadding },
                react_1.default.createElement(input_fields_1.NumberInputField, { decimalSeparator: decimalSeparator, disabled: radioButtonValue !== CUSTOM_VALUE, label: label, max: max, min: min, onValueChange: onChangeNumberInput, precision: precision, step: step, testID: `${testID}.input`, validationMessage: validationMessage, validationResult: validationResult, value: numberInputValue }),
                rangeInfo !== undefined && (react_1.default.createElement(text_1.HintLabel, { style: select_styles_1.selectStyles.rangeLabel }, rangeInfo)))),
        react_1.default.createElement(info_container_1.InfoContainer, null, infoComp)));
};
exports.SpecialNumberSelect = SpecialNumberSelect;
