"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ApplianceSunIcon = void 0;
const react_1 = __importDefault(require("react"));
const react_native_svg_1 = require("react-native-svg");
const icon_size_1 = require("../../components/icons/icon-size");
const theme_1 = require("../../theme");
const ApplianceSunIcon = (props) => {
    var _a;
    const { theme } = (0, theme_1.useTheme)();
    const { iconSize = icon_size_1.IconSize.SMALL, iconSizeInPixels, fillColor = theme.textColor, extraThickness = 0, } = props; //@ts-ignore don't worry about unused variable
    const secondToneColor = (_a = props.secondToneColor) !== null && _a !== void 0 ? _a : fillColor;
    const size = iconSizeInPixels ? iconSizeInPixels : iconSize;
    const fill = fillColor;
    return (react_1.default.createElement(react_native_svg_1.Svg, { height: size, viewBox: "0 0 192 192", width: size },
        react_1.default.createElement(react_native_svg_1.G, { fill: fill, stroke: fill, strokeWidth: extraThickness },
            react_1.default.createElement(react_native_svg_1.Path, { d: "M128 16H64c-15.4 0-28 12.6-28 28v104c0 15.4 12.6 28 28 28h64c15.4 0 28-12.6 28-28V44c0-15.4-12.6-28-28-28zm20 132c0 11-9 20-20 20H64c-11 0-20-9-20-20V44c0-11 9-20 20-20h64c11 0 20 9 20 20v104z" }),
            react_1.default.createElement(react_native_svg_1.Path, { d: "M96 72c-13.2 0-24 10.8-24 24s10.8 24 24 24 24-10.8 24-24-10.8-24-24-24zm0 40c-8.8 0-16-7.2-16-16s7.2-16 16-16 16 7.2 16 16-7.2 16-16 16zm-4-60h8v12h-8zm0 76h8v12h-8zm36-36h12v8h-12zm-76 0h12v8H52zm10.003-24.315l5.657-5.657 8.485 8.486-5.657 5.656zm53.849 53.8l5.656-5.657 8.486 8.485-5.657 5.657zm-.025-50.996l8.485-8.485 5.657 5.657-8.485 8.485zm-53.799 53.849l8.485-8.486 5.657 5.657-8.486 8.485z" }))));
};
exports.ApplianceSunIcon = ApplianceSunIcon;
