"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BugIcon = void 0;
const react_1 = __importDefault(require("react"));
const react_native_svg_1 = require("react-native-svg");
const icon_size_1 = require("../../components/icons/icon-size");
const theme_1 = require("../../theme");
const BugIcon = (props) => {
    var _a;
    const { theme } = (0, theme_1.useTheme)();
    const { iconSize = icon_size_1.IconSize.SMALL, iconSizeInPixels, fillColor = theme.textColor, extraThickness = 0, } = props; //@ts-ignore don't worry about unused variable
    const secondToneColor = (_a = props.secondToneColor) !== null && _a !== void 0 ? _a : fillColor;
    const size = iconSizeInPixels ? iconSizeInPixels : iconSize;
    const fill = fillColor;
    return (react_1.default.createElement(react_native_svg_1.Svg, { height: size, viewBox: "0 0 192 192", width: size },
        react_1.default.createElement(react_native_svg_1.G, { fill: fill, stroke: fill, strokeWidth: extraThickness },
            react_1.default.createElement(react_native_svg_1.Path, { d: "M136 108h24v-8h-24V82.5l21.8-10.9-3.6-7.2-18.2 9.1v-4l-2.2-1.1c-.3-.1-3.1-1.5-7.8-3.2-.2-8.3-3.8-15.7-9.3-21l6.7-10-6.7-4.4-6.5 9.8c-4.2-2.3-9-3.6-14.2-3.6s-9.9 1.3-14.2 3.6l-6.5-9.8-6.7 4.4 6.7 10c-5.6 5.3-9.1 12.7-9.3 21-4.7 1.6-7.5 3-7.8 3.2L56 69.5v3.9l-17.1-8.9-3.7 7.1L56 82.4V100H32v8h24v13.8l-22.3 14.8 4.4 6.7 19.2-12.8c4.6 17 20.2 29.5 38.6 29.5 18.4 0 33.9-12.5 38.6-29.4l18.2 12.6 4.6-6.6-21.3-14.7V108zM96 44c11 0 20.2 8.2 21.8 18.8-6.2-1.5-13.6-2.8-21.8-2.8s-15.6 1.3-21.8 2.8C75.8 52.2 85 44 96 44zm-32 76V74.6c4.5-1.9 15.2-5.8 28-6.5v83.6c-15.8-1.9-28-15.4-28-31.7zm64 0c0 16.3-12.2 29.8-28 31.7V68.1c12.8.7 23.6 4.6 28 6.5V120z" }))));
};
exports.BugIcon = BugIcon;
