"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChimneySweeperIcon = void 0;
const react_1 = __importDefault(require("react"));
const react_native_svg_1 = require("react-native-svg");
const icon_size_1 = require("../../components/icons/icon-size");
const theme_1 = require("../../theme");
const ChimneySweeperIcon = (props) => {
    var _a;
    const { theme } = (0, theme_1.useTheme)();
    const { iconSize = icon_size_1.IconSize.SMALL, iconSizeInPixels, fillColor = theme.textColor, extraThickness = 0, } = props; //@ts-ignore don't worry about unused variable
    const secondToneColor = (_a = props.secondToneColor) !== null && _a !== void 0 ? _a : fillColor;
    const size = iconSizeInPixels ? iconSizeInPixels : iconSize;
    const fill = fillColor;
    return (react_1.default.createElement(react_native_svg_1.Svg, { height: size, viewBox: "0 0 192 192", width: size },
        react_1.default.createElement(react_native_svg_1.G, { fill: fill, stroke: fill, strokeWidth: extraThickness },
            react_1.default.createElement(react_native_svg_1.Path, { d: "M165.8 87.6l-8.9 5.9-14-20.3 8.8-5.9-4.4-6.7-121.5 81.2 4.4 6.7 8.9-5.9 14 20.3-8.8 5.9 4.4 6.7 121.5-81.1-4.4-6.8zm-15.5 10.3l-17.6 11.8-14-20.3 17.6-11.8 14 20.3zm-56 7.7L112 93.8l14 20.3-17.6 11.8-14.1-20.3zm7.4 24.8L84 142.2l-14-20.3 17.6-11.8 14.1 20.3zm-56 7.7l17.6-11.8 14 20.3-17.6 11.8-14-20.3zm74.3-.7V148h-8v28h8v-20h8v-24zM116 60c0-4.5-1.5-8.7-4-12h4c2.2 0 4-1.8 4-4s-1.8-4-4-4h-4V16H80v24h-4c-2.2 0-4 1.8-4 4s1.8 4 4 4h4c-2.5 3.3-4 7.5-4 12 0 7.5 4.2 14.1 10.3 17.5-12.5 4-21.7 15.5-22.3 29.1l9.2-6.1C76.4 90.9 85.4 84 96 84c.6 0 1.2 0 1.8.1L107 78c-.4-.2-.9-.3-1.3-.5 6.1-3.4 10.3-10 10.3-17.5zM88 24h16v16H88V24zm8 48c-6.6 0-12-5.4-12-12s5.4-12 12-12 12 5.4 12 12-5.4 12-12 12z" }))));
};
exports.ChimneySweeperIcon = ChimneySweeperIcon;
