"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ElectricityPylonIcon = void 0;
const react_1 = __importDefault(require("react"));
const react_native_svg_1 = require("react-native-svg");
const icon_size_1 = require("../../components/icons/icon-size");
const theme_1 = require("../../theme");
const ElectricityPylonIcon = (props) => {
    var _a;
    const { theme } = (0, theme_1.useTheme)();
    const { iconSize = icon_size_1.IconSize.SMALL, iconSizeInPixels, fillColor = theme.textColor, extraThickness = 0, } = props; //@ts-ignore don't worry about unused variable
    const secondToneColor = (_a = props.secondToneColor) !== null && _a !== void 0 ? _a : fillColor;
    const size = iconSizeInPixels ? iconSizeInPixels : iconSize;
    const fill = fillColor;
    return (react_1.default.createElement(react_native_svg_1.Svg, { height: size, viewBox: "0 0 192 192", width: size },
        react_1.default.createElement(react_native_svg_1.G, { fill: fill, stroke: fill, strokeWidth: extraThickness },
            react_1.default.createElement(react_native_svg_1.Path, { d: "M135.3 168L116.8 68H140V57.5l-28.4-23.7-4.5-17.8H84.9l-4.4 17.8L52 57.5V68h23.2L56.7 168H44v8h104v-8h-12.7zm-60.8-52.5l1.8-9.5L96 93.5l19.7 12.5 2.4 12.9-20.3 12.2-23.3-15.6zm15.7 20.1l-21.8 13.1 4.6-24.6 17.2 11.5zM78.3 95.3l2.2-11.7 8.1 5.2-10.3 6.5zm25.2-6.6l8.1-5.2 2.2 11.7-10.3-6.5zm16.1 38.6l3.9 20.9-18.3-12.2 14.4-8.7zM100.9 24l2 8H89.1l2-8h9.8zM85.4 40h21.1l24 20H61.4l24-20zm23.3 28l1.3 7.1L96 84l-14-8.9 1.3-7.1h25.4zm-42.3 91.2l31.1-18.7 28 18.7 1.6 8.8H64.8l1.6-8.8z" }))));
};
exports.ElectricityPylonIcon = ElectricityPylonIcon;
