"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GatewayIcon = void 0;
const react_1 = __importDefault(require("react"));
const react_native_svg_1 = require("react-native-svg");
const icon_size_1 = require("../../components/icons/icon-size");
const theme_1 = require("../../theme");
const GatewayIcon = (props) => {
    var _a;
    const { theme } = (0, theme_1.useTheme)();
    const { iconSize = icon_size_1.IconSize.SMALL, iconSizeInPixels, fillColor = theme.textColor, extraThickness = 0, } = props; //@ts-ignore don't worry about unused variable
    const secondToneColor = (_a = props.secondToneColor) !== null && _a !== void 0 ? _a : fillColor;
    const size = iconSizeInPixels ? iconSizeInPixels : iconSize;
    const fill = fillColor;
    return (react_1.default.createElement(react_native_svg_1.Svg, { height: size, viewBox: "0 0 192 192", width: size },
        react_1.default.createElement(react_native_svg_1.G, { fill: fill, stroke: fill, strokeWidth: extraThickness },
            react_1.default.createElement(react_native_svg_1.Path, { d: "M58.828 49.172a4 4 0 11-5.657 5.656 4 4 0 015.657-5.656zm-22.627-16.97c10.917-10.919 28.68-10.919 39.598 0l5.657-5.658c-14.037-14.036-36.875-14.036-50.912 0L36.2 32.2zm33.941 5.656C66.365 34.081 61.342 32 56 32s-10.365 2.08-14.142 5.858l5.657 5.657C49.781 41.249 52.795 40 56 40s6.219 1.249 8.485 3.515l5.657-5.657zM144 160h-8v-16H72v16h-8v-16H32v-8H16V56h16v-8h12.703a12.059 12.059 0 000 8H40v80h128V56H67.298c.91-2.585.91-5.415 0-8H176v96h-32v16zM32 128V64h-8v64h8z" }))));
};
exports.GatewayIcon = GatewayIcon;
