"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.HomeSunFlashIcon = void 0;
const react_1 = __importDefault(require("react"));
const react_native_svg_1 = require("react-native-svg");
const icon_size_1 = require("../../components/icons/icon-size");
const theme_1 = require("../../theme");
const HomeSunFlashIcon = (props) => {
    var _a;
    const { theme } = (0, theme_1.useTheme)();
    const { iconSize = icon_size_1.IconSize.SMALL, iconSizeInPixels, fillColor = theme.textColor, extraThickness = 0, } = props; //@ts-ignore don't worry about unused variable
    const secondToneColor = (_a = props.secondToneColor) !== null && _a !== void 0 ? _a : fillColor;
    const size = iconSizeInPixels ? iconSizeInPixels : iconSize;
    const fill = fillColor;
    return (react_1.default.createElement(react_native_svg_1.Svg, { height: size, viewBox: "0 0 192 192", width: size },
        react_1.default.createElement(react_native_svg_1.G, { fill: fill, stroke: fill, strokeWidth: extraThickness },
            react_1.default.createElement(react_native_svg_1.Path, { d: "M120 176H16v-75.61l52.068-54.166L120 100.393V176zm-96-8h88v-64.392L68.06 57.777 24 103.61V168zm113.995-96c-9.925 0-18-8.075-18-18s8.075-18 18-18 18 8.075 18 18-8.075 18-18 18zm0-28c-5.514 0-10 4.487-10 10s4.486 10 10 10 10-4.486 10-10-4.486-10-10-10zm4-28h-8v12h8V16zm0 64h-8v12h8V80zm34.025-30H164v8h12.02v-8zm-64.01 0H99.99v8h12.02v-8zM76 89.212L46 128.97h20l-10 29.818 30-39.758H66l10-29.818zm46.456-13.992l-5.656-5.656-8.486 8.485 5.657 5.656 8.485-8.485zm45.255-45.255l-5.656-5.656-8.486 8.485 5.656 5.656 8.486-8.485zm-45.259 2.825l-8.5-8.499-5.656 5.657 8.5 8.499 5.656-5.657zm45.262 45.263l-8.5-8.5-5.656 5.656 8.5 8.5 5.656-5.656z" }))));
};
exports.HomeSunFlashIcon = HomeSunFlashIcon;
