"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.HomeTemperatureOutIcon = void 0;
const react_1 = __importDefault(require("react"));
const react_native_svg_1 = require("react-native-svg");
const icon_size_1 = require("../../components/icons/icon-size");
const theme_1 = require("../../theme");
const HomeTemperatureOutIcon = (props) => {
    var _a;
    const { theme } = (0, theme_1.useTheme)();
    const { iconSize = icon_size_1.IconSize.SMALL, iconSizeInPixels, fillColor = theme.textColor, extraThickness = 0, } = props; //@ts-ignore don't worry about unused variable
    const secondToneColor = (_a = props.secondToneColor) !== null && _a !== void 0 ? _a : fillColor;
    const size = iconSizeInPixels ? iconSizeInPixels : iconSize;
    const fill = fillColor;
    return (react_1.default.createElement(react_native_svg_1.Svg, { height: size, viewBox: "0 0 192 192", width: size },
        react_1.default.createElement(react_native_svg_1.G, { fill: fill, stroke: fill, strokeWidth: extraThickness },
            react_1.default.createElement(react_native_svg_1.Path, { d: "M119.82 22.35L64 78.236V160h112V78.229l-56.18-55.88zM168 152H72V81.547l47.838-47.896L168 81.555V152zM48.042 108.07V72c0-6.64-5.402-12.042-12.042-12.042S23.958 65.36 23.958 72v36.07C19.135 111.725 16 117.496 16 124c0 11.028 8.972 20 20 20s20-8.972 20-20c0-6.504-3.135-12.275-7.958-15.93zM36 68.042A3.962 3.962 0 0139.958 72v20h-7.916V72A3.962 3.962 0 0136 68.042z" }))));
};
exports.HomeTemperatureOutIcon = HomeTemperatureOutIcon;
