"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.LambdaOxygenIcon = void 0;
const react_1 = __importDefault(require("react"));
const react_native_svg_1 = require("react-native-svg");
const icon_size_1 = require("../../components/icons/icon-size");
const theme_1 = require("../../theme");
const LambdaOxygenIcon = (props) => {
    var _a;
    const { theme } = (0, theme_1.useTheme)();
    const { iconSize = icon_size_1.IconSize.SMALL, iconSizeInPixels, fillColor = theme.textColor, extraThickness = 0, } = props; //@ts-ignore don't worry about unused variable
    const secondToneColor = (_a = props.secondToneColor) !== null && _a !== void 0 ? _a : fillColor;
    const size = iconSizeInPixels ? iconSizeInPixels : iconSize;
    const fill = fillColor;
    return (react_1.default.createElement(react_native_svg_1.Svg, { height: size, viewBox: "0 0 192 192", width: size },
        react_1.default.createElement(react_native_svg_1.G, { fill: fill, stroke: fill, strokeWidth: extraThickness },
            react_1.default.createElement(react_native_svg_1.Path, { d: "M64.246 103.724l23.318 22.639-5.572 5.74-23.318-22.64 5.572-5.74zM53.834 114.52l23.318 22.64-5.572 5.74-3.016-2.929-19.485 20.071-17.218-16.719 19.483-20.07-3.082-2.993 5.572-5.74zm8.97 19.898l-5.739-5.572-13.893 14.31 5.74 5.573 13.893-14.31zM176 21.585c-6.546 4.058-13.963 10.314-23.278 19.463l6.506 6.317-15.396 15.857 3.643 3.536-48.063 49.507 8.776 8.52-5.573 5.74-8.776-8.52-18.704-18.16L59.567 88.73l5.572-5.74 8.61 8.359 48.064-49.507 3.421 3.322 15.395-15.857 6.352 6.167c8.88-8.73 16.26-15.056 22.914-19.474H176v5.585zm-82.328 89.107l42.422-43.696-14.183-13.77L79.489 96.92l2.626 2.55 11.557 11.221zm54.244-63.16l-7.12-6.912-9.822 10.117 7.119 6.912 9.823-10.117z" }))));
};
exports.LambdaOxygenIcon = LambdaOxygenIcon;
