"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.LongTermChartLineIcon = void 0;
const react_1 = __importDefault(require("react"));
const react_native_svg_1 = require("react-native-svg");
const icon_size_1 = require("../../components/icons/icon-size");
const theme_1 = require("../../theme");
const LongTermChartLineIcon = (props) => {
    var _a;
    const { theme } = (0, theme_1.useTheme)();
    const { iconSize = icon_size_1.IconSize.SMALL, iconSizeInPixels, fillColor = theme.textColor, extraThickness = 0, } = props; //@ts-ignore don't worry about unused variable
    const secondToneColor = (_a = props.secondToneColor) !== null && _a !== void 0 ? _a : fillColor;
    const size = iconSizeInPixels ? iconSizeInPixels : iconSize;
    const fill = fillColor;
    return (react_1.default.createElement(react_native_svg_1.Svg, { height: size, viewBox: "0 0 192 192", width: size },
        react_1.default.createElement(react_native_svg_1.G, { fill: fill, stroke: fill, strokeWidth: extraThickness },
            react_1.default.createElement(react_native_svg_1.Path, { d: "M55.6 33.778C53.7 23.667 45.7 16 36 16c-10.7 0-19.5 9.444-20 21.222v117.222c.3 11.223 8.1 20.334 18 21.445V176h142V33.778zM36 24.888c6.6 0 12 6 12 13.334l.1 97.89c-3.4-2.89-7.6-4.556-12.1-4.556s-8.7 1.666-12 4.444V38.222c0-7.333 5.4-13.333 12-13.333zm132 142.223H36c-6.6 0-12-6-12-13.333 0-7.334 5.4-13.334 12-13.334s12 6 12.1 13.445l8-.111L56 42.667h112zm-12-13.333H68v-8.89h88zM75 130l-6-5.889 34.5-43.667 16.2 17.778 24-33.333H132V56h24v26.667h-8V73.11l-27.7 38.445-16.4-18z" }))));
};
exports.LongTermChartLineIcon = LongTermChartLineIcon;
