"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SmartHomeAppIcon = void 0;
const react_1 = __importDefault(require("react"));
const react_native_svg_1 = require("react-native-svg");
const icon_size_1 = require("../../components/icons/icon-size");
const theme_1 = require("../../theme");
const SmartHomeAppIcon = (props) => {
    var _a;
    const { theme } = (0, theme_1.useTheme)();
    const { iconSize = icon_size_1.IconSize.SMALL, iconSizeInPixels, fillColor = theme.textColor, extraThickness = 0, } = props; //@ts-ignore don't worry about unused variable
    const secondToneColor = (_a = props.secondToneColor) !== null && _a !== void 0 ? _a : fillColor;
    const size = iconSizeInPixels ? iconSizeInPixels : iconSize;
    const fill = fillColor;
    return (react_1.default.createElement(react_native_svg_1.Svg, { height: size, viewBox: "0 0 192 192", width: size },
        react_1.default.createElement(react_native_svg_1.G, { fill: fill, stroke: fill, strokeWidth: extraThickness },
            react_1.default.createElement(react_native_svg_1.Path, { d: "M96.032 59.312L61.8 96.736h6.208v36h22.528v-25.712h11v25.712h22.528v-36h6.208z" }),
            react_1.default.createElement(react_native_svg_1.Path, { d: "M166.44 65.312v75.584a25.6 25.6 0 01-25.544 25.544H51.152a25.6 25.6 0 01-25.544-25.544V51.112a25.6 25.6 0 0125.544-25.544h75.584a6.4 6.4 0 016.4 6.4 6.4 6.4 0 01-6.4 6.4H52.624A14.232 14.232 0 0038.432 52.56v86.792a14.232 14.232 0 0014.192 14.192h86.792a14.232 14.232 0 0014.192-14.192V65.248" }),
            react_1.default.createElement(react_native_svg_1.Path, { d: "M153.616 65.312a6.4 6.4 0 016.4-6.4 6.4 6.4 0 016.4 6.4" }),
            react_1.default.createElement(react_native_svg_1.Path, { d: "M0 0h192v192H0z", fill: "none" }))));
};
exports.SmartHomeAppIcon = SmartHomeAppIcon;
