"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SmartRadiatorValveIcon = void 0;
const react_1 = __importDefault(require("react"));
const react_native_svg_1 = require("react-native-svg");
const icon_size_1 = require("../../components/icons/icon-size");
const theme_1 = require("../../theme");
const SmartRadiatorValveIcon = (props) => {
    var _a;
    const { theme } = (0, theme_1.useTheme)();
    const { iconSize = icon_size_1.IconSize.SMALL, iconSizeInPixels, fillColor = theme.textColor, extraThickness = 0, } = props; //@ts-ignore don't worry about unused variable
    const secondToneColor = (_a = props.secondToneColor) !== null && _a !== void 0 ? _a : fillColor;
    const size = iconSizeInPixels ? iconSizeInPixels : iconSize;
    const fill = fillColor;
    return (react_1.default.createElement(react_native_svg_1.Svg, { height: size, viewBox: "0 0 24 24", width: size },
        react_1.default.createElement(react_native_svg_1.G, { fill: fill, stroke: fill, strokeWidth: extraThickness },
            react_1.default.createElement(react_native_svg_1.Path, { d: "M14.682 23H9.187c-.888 0-1.608-.737-1.608-1.647v-.893C6.386 20.3 5.5 19.435 5.5 18.359V3.127C5.5 1.935 6.59 1 7.98 1h8.04c1.39 0 2.48.935 2.48 2.127v15.232c0 1.114-.95 2.004-2.21 2.115v.88c0 .909-.72 1.646-1.608 1.646zM8.65 20.482v.871c0 .303.24.55.536.55h5.495a.543.543 0 00.536-.55v-.871zm7.371-1.098c.776 0 1.407-.461 1.407-1.03V3.128c0-.578-.618-1.03-1.407-1.03h-8.04c-.776 0-1.407.462-1.407 1.03V18.36c0 .578.617 1.03 1.407 1.03zm-1.34-11.18H9.187c-.888 0-1.608-.737-1.608-1.646V4.91c0-.91.72-1.647 1.608-1.647h5.495c.888 0 1.608.737 1.608 1.647v1.647c0 .91-.72 1.646-1.608 1.646zM9.187 4.362a.543.543 0 00-.536.549v1.647c0 .303.24.549.536.549h5.495a.543.543 0 00.536-.55V4.912a.543.543 0 00-.536-.549z" }))));
};
exports.SmartRadiatorValveIcon = SmartRadiatorValveIcon;
