"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SskUpdateIcon = void 0;
const react_1 = __importDefault(require("react"));
const react_native_svg_1 = require("react-native-svg");
const icon_size_1 = require("../../components/icons/icon-size");
const theme_1 = require("../../theme");
const SskUpdateIcon = (props) => {
    var _a;
    const { theme } = (0, theme_1.useTheme)();
    const { iconSize = icon_size_1.IconSize.SMALL, iconSizeInPixels, fillColor = theme.textColor, extraThickness = 0, } = props; //@ts-ignore don't worry about unused variable
    const secondToneColor = (_a = props.secondToneColor) !== null && _a !== void 0 ? _a : fillColor;
    const size = iconSizeInPixels ? iconSizeInPixels : iconSize;
    const fill = fillColor;
    return (react_1.default.createElement(react_native_svg_1.Svg, { height: size, viewBox: "0 0 192 192", width: size },
        react_1.default.createElement(react_native_svg_1.G, { fill: fill, stroke: fill, strokeWidth: extraThickness },
            react_1.default.createElement(react_native_svg_1.G, { fillRule: "evenodd" },
                react_1.default.createElement(react_native_svg_1.Path, { d: "M104 152H50.53C35.88 152 24 140.3 24 125.87V66.14c0-14.43 11.88-26.13 26.53-26.13h90.95c14.65 0 26.53 11.7 26.53 26.13v37.87h8V61.88c0-16.49-13.2-29.87-29.47-29.87H45.47C29.19 32.01 16 45.38 16 61.88v68.27c0 16.49 13.2 29.87 29.47 29.87H104v-8z" }),
                react_1.default.createElement(react_native_svg_1.Path, { d: "M96 96c11.05 0 20-8.95 20-20s-8.95-20-20-20-20 8.95-20 20 8.95 20 20 20zm0-32c6.63 0 12 5.37 12 12s-5.37 12-12 12-12-5.37-12-12 5.37-12 12-12z" })),
            react_1.default.createElement(react_native_svg_1.Path, { d: "M168 144h8c0 17.94-13.97 32-31.81 32-9.42 0-18.21-4.11-24.19-11.04V176h-8v-24h24v8h-9.7c4.47 5.02 10.95 8 17.89 8 13.35 0 23.81-10.54 23.81-24z", fillRule: "evenodd" }),
            react_1.default.createElement(react_native_svg_1.Path, { d: "M176 112v24h-24v-8h10.01c-4.5-5.03-11-8-18.01-8-13.46 0-24 10.54-24 24h-8c0-17.94 14.06-32 32-32 9.34 0 18.01 3.98 24 10.7V112h8z" }))));
};
exports.SskUpdateIcon = SskUpdateIcon;
