"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ThermostatConnectedCIcon = void 0;
const react_1 = __importDefault(require("react"));
const react_native_svg_1 = require("react-native-svg");
const icon_size_1 = require("../../components/icons/icon-size");
const theme_1 = require("../../theme");
const ThermostatConnectedCIcon = (props) => {
    var _a;
    const { theme } = (0, theme_1.useTheme)();
    const { iconSize = icon_size_1.IconSize.SMALL, iconSizeInPixels, fillColor = theme.textColor, extraThickness = 0, } = props; //@ts-ignore don't worry about unused variable
    const secondToneColor = (_a = props.secondToneColor) !== null && _a !== void 0 ? _a : fillColor;
    const size = iconSizeInPixels ? iconSizeInPixels : iconSize;
    const fill = fillColor;
    return (react_1.default.createElement(react_native_svg_1.Svg, { height: size, viewBox: "0 0 192 192", width: size },
        react_1.default.createElement(react_native_svg_1.G, { fill: fill, stroke: fill, strokeWidth: extraThickness },
            react_1.default.createElement(react_native_svg_1.Path, { d: "M98.8 116.6H82.9c4.5-3.6 6.4-5.2 8.7-7.7 4.7-5.2 7.1-10.6 7.1-16.1 0-8.2-4.9-13.3-12.8-13.3-7.8 0-11.8 4-13.7 13.5l7.7 1.7c1-6.1 2.5-8.2 5.6-8.2 2.8 0 4.4 2.2 4.4 6.3 0 7.2-5 14.1-17.2 23.7v7.4H99v-7.3h-.2zm25.9-36.5h-7.2c-.9 4.1-3.9 6.3-9.5 7.1v7c3.5-.1 6.8-.7 8.3-1.5v24.2h-8v7.2h24.1v-7.2h-7.7V80.1zm21.8-.9c-5.5 0-9.4 3.9-9.4 9.3 0 5.8 3.8 9.6 9.4 9.6 5.5 0 9.5-3.9 9.5-9.5 0-5.5-3.9-9.4-9.5-9.4zm0 14.5c-2.5 0-3.7-1.7-3.7-5.2 0-3.2 1.3-5 3.7-5 2.5 0 3.7 1.7 3.7 5 .1 3.5-1.2 5.2-3.7 5.2zM108 64h8V52h12v-8h-12V32h-8v12H96v8h12zm-12 76h32v8H96z" }),
            react_1.default.createElement(react_native_svg_1.Circle, { cx: 56, cy: 52, r: 4 }),
            react_1.default.createElement(react_native_svg_1.Path, { d: "M75.8 32.2c-10.9-10.9-28.7-10.9-39.6 0l-5.7-5.7c14-14 36.9-14 50.9 0l-5.6 5.7z" }),
            react_1.default.createElement(react_native_svg_1.Path, { d: "M64.5 43.5C62.2 41.2 59.2 40 56 40s-6.2 1.2-8.5 3.5l-5.7-5.7C45.6 34.1 50.7 32 56 32s10.4 2.1 14.1 5.9l-5.6 5.6z" }),
            react_1.default.createElement(react_native_svg_1.G, null,
                react_1.default.createElement(react_native_svg_1.Path, { d: "M148 16H81.3c3.2 2.2 6.1 4.9 8.6 8h58c10.4 0 20 9.6 20 20v104c0 10.4-9.6 20-20 20H76c-10.4 0-20-9.6-20-20V63.9c-.3 0-.7.1-1 .1-2.6 0-5-.8-7-2.3V148c0 14.8 13.2 28 28 28h72c14.8 0 28-13.2 28-28V44c0-14.8-13.2-28-28-28z" })))));
};
exports.ThermostatConnectedCIcon = ThermostatConnectedCIcon;
