"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.WatchOffBoldIcon = void 0;
const react_1 = __importDefault(require("react"));
const react_native_svg_1 = require("react-native-svg");
const icon_size_1 = require("../../components/icons/icon-size");
const theme_1 = require("../../theme");
const WatchOffBoldIcon = (props) => {
    var _a;
    const { theme } = (0, theme_1.useTheme)();
    const { iconSize = icon_size_1.IconSize.SMALL, iconSizeInPixels, fillColor = theme.textColor, extraThickness = 0, } = props; //@ts-ignore don't worry about unused variable
    const secondToneColor = (_a = props.secondToneColor) !== null && _a !== void 0 ? _a : fillColor;
    const size = iconSizeInPixels ? iconSizeInPixels : iconSize;
    const fill = fillColor;
    return (react_1.default.createElement(react_native_svg_1.Svg, { height: size, viewBox: "0 0 192 192", width: size },
        react_1.default.createElement(react_native_svg_1.G, { fill: fill, stroke: fill, strokeWidth: extraThickness },
            react_1.default.createElement(react_native_svg_1.Path, { d: "M41.7 161.7l-11.3-11.3 120-120 11.3 11.3-120 120zM68 96c0 1.7.2 3.3.4 4.9l7.8-7.8c1.3-8.7 8.2-15.6 16.9-16.9l7.8-7.8c-1.6-.2-3.2-.4-4.9-.4-15.4 0-28 12.6-28 28zm56 0c0-1.7-.2-3.3-.4-4.9l-7.8 7.8c-1.3 8.7-8.2 15.6-16.9 16.9l-7.8 7.8c1.6.3 3.2.4 4.9.4 15.4 0 28-12.6 28-28zm47.5-1.9c-.4-.7-8.2-14.8-23.7-27.2l-5.7 5.7c11.5 9 18.6 19.3 21.2 23.4-5.2 8.2-27.9 40-67.3 40-5.3 0-10.5-.6-15.6-1.7l-6.6 6.6c7.2 2 14.6 3.1 22.2 3.1 49.8 0 74.5-44.2 75.5-46.1l1-1.9-1-1.9zM28.7 96c5.2-8.2 27.9-40 67.3-40 5.3 0 10.5.6 15.6 1.7l6.6-6.6C111 49.1 103.6 48 96 48c-49.8 0-74.5 44.2-75.5 46.1l-1 1.9 1 1.9c.4.6 8.2 14.7 23.7 27.2l5.7-5.7c-11.5-9-18.6-19.2-21.2-23.4z" }))));
};
exports.WatchOffBoldIcon = WatchOffBoldIcon;
