//
//  ActivityIndicator.h
//  RNMedusaUI
//
//  Created by Vivien Bartha on 07/10/2020.
//  Copyright © 2020 Bosch. All rights reserved.
//

#ifndef ActivityIndicator_h
#define ActivityIndicator_h

#import <UIKit/UIKit.h>
#import <React/RCTComponent.h>

@interface ActivityIndicator : UIView

@property (nonatomic, assign) CGFloat boxSize;
@property (nonatomic) CGFloat wrapperSize;

@property (nonatomic, copy) UIView  *wrapperView;

@property (nonatomic) bool animating;
@property (nonatomic, copy) NSArray<NSValue *> *animationFns;

@property (nonatomic, copy) UIView  *topLeftView;
@property (nonatomic, copy) UIView  *bottomRightView;
@property (nonatomic, copy) UIView  *middleView;
@property (nonatomic, copy) UIView  *maskView;

@property (nonatomic, copy) NSArray<UIColor *> *topColors;
@property (nonatomic, copy) NSArray<UIColor *> *bottomColors;
@property (nonatomic, copy) NSArray<UIColor *> *middleColors;

@property (nonatomic) long topColorIndex;
@property (nonatomic) long bottomColorIndex;
@property (nonatomic) long middleColorIndex;

- (instancetype) init;
- (void) startAnimation;
- (void) restartAnimation;
- (void) stopAnimation;

@end

#endif /* ActivityIndicator_h */
