"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CountrySelector = void 0;
const react_1 = __importDefault(require("react"));
const react_native_1 = require("react-native");
const internal_native_modules_1 = require("./internal-native-modules");
const RNCountrySelector = (0, react_native_1.requireNativeComponent)("RNCountrySelector");
class CountrySelector extends react_1.default.Component {
    viewHandle = null;
    onCountrySelected = (event) => {
        this.props.onCountrySelected?.(event.nativeEvent);
        internal_native_modules_1.RNPrivacyComponent.setSelectedCountry(event.nativeEvent, this.viewHandle);
    };
    setRef = (ref) => {
        this.viewHandle = ref ? (0, react_native_1.findNodeHandle)(ref) : null;
    };
    setSupportedCountries() {
        internal_native_modules_1.RNPrivacyComponent.setSupportedCountries(this.props.countries ?? [], this.viewHandle);
        if (react_native_1.Platform.OS === "ios") {
            // The iOS implementation will only show the countries if the method below gets called.
            internal_native_modules_1.RNCountrySelectorManager.loadCountries(this.viewHandle);
        }
        else {
            if (this.props.loadCountries === true) {
                internal_native_modules_1.RNPrivacyComponent.loadCountries(this.viewHandle);
            }
        }
    }
    componentDidMount() {
        if (this.props.countries) {
            this.setSupportedCountries();
        }
    }
    componentDidUpdate(prevProps) {
        if (prevProps.countries !== this.props.countries) {
            this.setSupportedCountries();
        }
    }
    render() {
        return (react_1.default.createElement(RNCountrySelector, { ref: this.setRef, style: this.props.style, onCountrySelected: this.onCountrySelected }));
    }
}
exports.CountrySelector = CountrySelector;
